# classes/phing/input/MultipleChoiceInputRequest.php

Encapsulates an input request.

author
  Stefan Bodewig
package
  phing.input
version
  $Revision: 526 $

## \MultipleChoiceInputRequest
jump to top

Encapsulates an input request.

Extends from
  \InputRequest
author
  Stefan Bodewig
package
  phing.input
version
  $Revision: 526 $

### Properties

`$choices= 'array'`
Default value `array` Details

Type

### Methods

`__construct( string $prompt, array $choices ) :`
Parameters

Name | Type | Description
--- | --- | ---
$prompt | string | The prompt to show to the user. Must not be null.
$choices | array | holds all input values that are allowed. Must not be null.

`getChoices( ) : \The`
Returns

Type | Description
--- | ---
\The |

`isInputValid( ) : true`
Returns

Type | Description
--- | ---
true |

Documentation was generated by DocBlox 0.13.1.